# Class CIM_ProtocolAdapter
extends CIM_WBEMService

CIM_ProtocolAdapter is deprecated in lieu of CIM_ObjectManagerAdapter. Since the CIM_ProtocolAdapter class does not have to support the protocols and can be any type of adapter, it was decided to change the name to ObjectManagerAdapter to better reflect the true meaning of the class. A ProtocolAdapter is a Service of the CIM Object Manager. It is responsible for accepting incoming requests on a particular protocol, and translating and forwarding the request to the CIM Object Manager. It is also responsible for translating and sending the response from the CIM Object Manager.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_WBEMService
|
+--CIM_ProtocolAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_ObjectManagerAdapter

Description

string

CIM_ProtocolAdapter is deprecated in lieu of CIM_ObjectManagerAdapter. Since the CIM_ProtocolAdapter class does not have to support the protocols and can be any type of adapter, it was decided to change the name to ObjectManagerAdapter to better reflect the true meaning of the class. A ProtocolAdapter is a Service of the CIM Object Manager. It is responsible for accepting incoming requests on a particular protocol, and translating and forwarding the request to the CIM Object Manager. It is also responsible for translating and sending the response from the CIM Object Manager.

UMLPackagePath | string | CIM::Interop
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Handle | string |
Deprecated | string | CIM_ObjectManagerAdapter.Handle
Description | string | An implementation specific string that identifies the handle to the ProtocolAdapter.
Required | boolean | true
Name | string |
Deprecated | string | CIM_ObjectManagerAdapter.Name
Description | string | A human-readable name that uniquely identifies the Protocol Adapter within a system.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
OtherProtocolAdapterType | string |
Deprecated | string | CIM_ObjectManagerAdapter.OtherAdapterTypeDescription
Description | string | The type(s) of ProtocolAdapter when "Other" is included in ProtocolAdapterType property.
ModelCorrespondence | string | CIM_ProtocolAdapter.ProtocolAdapterType
ProtocolAdapterType | uint16 |
Deprecated | string | CIM_ObjectManagerAdapter.AdapterType
Description | string | ProtocolAdapterType enumerates the kind of Protocol Adapter.
ModelCorrespondence | string | CIM_ProtocolAdapter.OtherProtocolAdapterType
Required | boolean | true
ValueMap | string | 1, 2, 3
Values | string | Other, Client, Provider

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service